# patchlist.txt
Collection of patches for [VitaGrafix](https://github.com/Electry/VitaGrafix) - a taiHEN plugin that allows you to change resolution and FPS cap of some of the PlayStation Vita games.

**Required VitaGrafix:** v5.0.1 (or newer)


## Installation
1. Download raw **[patchlist.txt](https://raw.githubusercontent.com/Electry/VitaGrafixPatchlist/master/patchlist.txt)**
    - optionally download files in **[patch/](https://github.com/Electry/VitaGrafixPatchlist/tree/master/patch)** folder, these are separated due to their larger size (100+ lines for one game)
2. Copy it to *ux0:/data/VitaGrafix/*
    - *patch/* files go into *ux0:/data/VitaGrafix/patch/*
3. Configure your game by editing *ux0:/data/VitaGrafix/config.txt* or by using [VitaGrafixConfigurator](https://github.com/Kirezar/VitaGrafixConfigurator)

## Supported games
|   | Game          | Title ID(s)   | Supported features | Game defaults | Notes.............. |
| - | ------------- | ------------- | ------------------ | ------------- | ------------------- |
| ![][NOISSUES] | Assassin's Creed III: Liberation | PCSB00074 <br/> PCSE00053 <br/> PCSG00116 | Internal res. <br/> FPS cap. | 720x408 <br/> 30 | |
| ![][NOISSUES] | Asphalt: Injection | PCSB00040 <br/> PCSE00007 | Framebuffer <br/> FPS cap | 720x408 <br/> 50 | |
| ![][NOISSUES] | Atelier Firis: The Alchemist and the Mysterious Journey | PCSB01087 <br/> PCSE01044 <br/> PCSG00929 <br/> PCSH10026 | Internal res. | 960x442 | |
| ![][NOISSUES] | Atelier Lydie & Soeur: Fushigi na Kaiga no Renkinjutsu Samurai | PCSG01116 | Internal res. | 960x442 | |
| ![][NOISSUES] | Atelier Shallie Plus: Alchemists of the Dusk Sea | PCSB01043 <br/> PCSE00998 <br/> PCSG00821 | Internal res. | 960x408 | |
| ![][NOISSUES] | Atelier Sophie: The Alchemist of the Mysterious Book | PCSB00973 <br/> PCSE00892 <br/> PCSG00694 <br/> PCSH00220 | Internal res. | 960x442 | |
| ![][NOISSUES] | Blue Reflection: Maboroshi ni Mau - Shoujo no Ken | PCSG00987 | Internal res. | 960x442 | |
| ![][NOISSUES] | Borderlands 2 | PCSF00570 <br/> PCSF00576 <br/> PCSE00383 <br/> PCSG00400 | Framebuffer | 960x544 | |
| ![][NOISSUES] | Catherine: Full Body | PCSG01179 | Internal res. | 720x408 | |
| ![][NOISSUES] | Dead or Alive 5 Plus | PCSB00296 <br/> PCSE00235 <br/> PCSG00167 | Internal res. | 720x408 | |
| ![][NOISSUES] | Dead or Alive Xtreme 3: Venus | PCSG00773 <br/> PCSH00250 <br/> PCSH00281 | 2x Internal res. | 736x416, 640x368 | |
| ![][NOISSUES] | Deception IV: Blood Ties <br/> Kagero: Darkside Princess | PCSB00499 <br/> PCSE00401 <br/> PCSG00304 | 3x Internal res. | 960x544, 720x408, 640x368 | |
| ![][NOISSUES] | Deception IV: The Nightmare Princess <br/> Kagero: Mou Hitori no Princess | PCSB00829 <br/> PCSE00743 <br/> PCSG00565 | 3x Internal res. | 960x544, 720x408, 640x368 | |
| ![][NOISSUES] | Disney Epic Mickey 2: The Power of Two | PCSF00308 <br/> PCSF00309 <br/> PCSA00110 | Internal res. | 720x408 | |
| ![][NOISSUES] | Dragon Ball Z: Battle of Z | PCSB00396 <br/> PCSE00305 <br/> PCSG00213 | Internal res. | 704x448 | |
| ![][NOISSUES] | Dragon Quest Builders | PCSB00981 <br/> PCSE00912 <br/> PCSG00697 <br/> PCSH00221 | Internal res. <br/> FPS cap | 720x408 <br/> 60 | |
| ![][NOISSUES] | Dungeon Hunter: Alliance | PCSB00041 <br/> PCSE00008 | Internal res. | 702x408 | |
| ![][NOISSUES] | Fantasy Hero: Unsigned Legacy | PCSB00663 <br/> PCSE00536 <br/> PCSG00280 <br/> PCSH00157 | Framebuffer | 720x408 | |
| ![][NOISSUES] | Fate/EXTELLA (The Umbral Star) | PCSB01030 <br/> PCSE00928 <br/> PCSH00299 <br/> PCSG00600 | Internal res. | 720x408 | |
| ![][NOISSUES] | Fate/EXTELLA LINK | PCSE01254 <br/> PCSG01091 <br/> PCSH10121 | Internal res. | 720x408 | |
| ![][NOISSUES] | F1 2011 | PCSB00027 <br/> PCSE00002 | Internal res. | 640x384 | |
| ![][NOISSUES] | God of War Collection | PCSF00438 <br/> PCSA00126 <br/> PCSC00059 | Framebuffer <br/> FPS cap | 720x408 <br/> 30 | |
| ![][NOISSUES] | Gundam Breaker 2 | PCSG00412 <br/> PCSH00132 | Internal res. | 720x408 | |
| ![][PLAYABLE] | Hatsune Miku: Project Diva f | PCSB00419 <br/> PCSE00326 <br/> PCSG00074 | Internal res. <br/> FPS cap | 640x352 <br/> 30 | [#120](https://github.com/Electry/VitaGrafix/issues/120), [#81](https://github.com/Electry/VitaGrafix/issues/81) |
| ![][PLAYABLE] | Hatsune Miku: Project Diva f 2nd | PCSB00554 <br/> PCSE00434 <br/> PCSG00205 <br/> PCSH00088 | Internal res. <br/> FPS cap | 720x408 <br/> 30 | [#120](https://github.com/Electry/VitaGrafix/issues/120), [#80](https://github.com/Electry/VitaGrafix/issues/80) |
| ![][NOISSUES] | Hatsune Miku: Project Diva X | PCSB01007 <br/> PCSE00867 <br/> PCSH00176 <br/> PCSG00683 | Internal res. | 720x408 | |
| ![][PLAYABLE] | Helldivers | PCSF00465 <br/> PCSA00134 <br/> PCSC00078 <br/> PCSD00086 <br/> PCSD00097 | Framebuffer | 960x544 | [#82](https://github.com/Electry/VitaGrafixPatchlist/issues/82) |
| ![][NOISSUES] | I am Setsuna | PCSG00756 | FPS cap | 30 | |
| ![][PLAYABLE] | Injustice: Gods Among Us | PCSB00356 <br/> PCSE00271 | Framebuffer | 720x408 | [#82](https://github.com/Electry/VitaGrafixPatchlist/issues/82) |
| ![][NOISSUES] | Jak and Daxter: The Precursor Legacy | PCSF00247 <br/> PCSF00248 <br/> PCSA00080 | Framebuffer <br/> FPS cap | 720x408 <br/> 20 | |
| ![][NOISSUES] | Jak II | PCSF00247 <br/> PCSF00249 <br/> PCSA00080 | Framebuffer | 720x408 | |
| ![][NOISSUES] | Jak 3 | PCSF00247 <br/> PCSF00250 <br/> PCSA00080 | Framebuffer | 720x408 | |
| ![][NOISSUES] | J-Stars Victory Vs | PCSG00300 | Internal res. | 768x448 | |
| ![][NOISSUES] | J-Stars Victory Vs+ | PCSB00713 <br/> PCSE00595 <br/> PCSH00136 | Internal res. | 768x448 | |
| ![][NOISSUES] | Kidou Senshi Gundam Seed: Battle Destiny | PCSG00040 | Internal res. <br/> FPS cap | 704x384 <br/> 30 | |
| ![][NOISSUES] | Killzone: Mercenary | PCSF00243 <br/> PCSF00403 <br/> PCSA00107 <br/> PCSC00045 <br/> PCSD00071 | Internal res. <br/> FPS cap | Dynamic <br/> 30 | |
| ![][NOISSUES] | LEGO Batman 3: Beyond Gotham | PCSB00563 <br/> PCSE00442 | Internal res. | 640x368 | |
| ![][PLAYABLE] | LEGO Harry Potter: Years 5–7 | PCSB00103 <br/> PCSE00057 | Framebuffer | 640x368 | [#3](https://github.com/Electry/VitaGrafixPatchlist/issues/3) |
| ![][NOISSUES] | LEGO Jurassic World | PCSB00703 <br/> PCSE00587 | Internal res. | 640x368 | |
| ![][NOISSUES] | LEGO Marvel Super Heroes: Universe in Peril | PCSB00315 <br/> PCSE00250 | Internal res. | 640x368 | |
| ![][NOISSUES] | LEGO Marvel's Avengers | PCSB00764 <br/> PCSE00670 | Internal res. | 640x368 | |
| ![][NOISSUES] | LEGO Ninjago: Shadow of Ronin | PCSB00706 <br/> PCSE00534 | Internal res. | 640x368 | |
| ![][NOISSUES] | LEGO Star Wars: The Force Awakens | PCSB00877 <br/> PCSE00791 | Internal res. | 640x368 | |
| ![][NOISSUES] | LEGO The Hobbit | PCSB00503 <br/> PCSE00390 | Internal res. | 640x368 | |
| ![][PLAYABLE] | LittleBigPlanet | PCSF00021 <br/> PCSA00017 <br/> PCSC00013 <br/> PCSD00006 | Internal res. | 720x408 | [#24](https://github.com/Electry/VitaGrafix/issues/24) |
| ![][NOISSUES] | Lumines: Electronic Symphony | PCSB00061 <br/> PCSE00009 <br/> PCSG00014 | FPS cap | 30 | |
| ![][NOISSUES] | Macross Delta Scramble | PCSG00947 | Internal res. | 800x448 | |
| ![][NOISSUES] | Mahouka Koukou no Rettousei: Out of Order | PCSG00456 | Internal res. <br/> FPS cap | 720x408 <br/> 30 | |
| ![][NOISSUES] | Minecraft: PlayStation Vita Edition | PCSB00560 <br/> PCSE00491 <br/> PCSG00302 | Framebuffer <br/> FPS cap | 720x408 <br/> 60 | |
| ![][NOISSUES] | Miracle Girls Festival | PCSG00610 | Internal res. | 720x408 | |
| ![][NOISSUES] | MotoGP 13 | PCSB00316 <br/> PCSE00409 | Internal res. | 704x448 | |
| ![][NOISSUES] | MotoGP 14 | PCSB00498 <br/> PCSE00529 | Internal res. | 704x448 | |
| ![][NOISSUES] | MUD - FIM Motocross World Championship | PCSB00182 <br/> PCSE00219 | Internal res. | 704x448 | |
| ![][NOISSUES] | MXGP: The Official Motocross Videogame | PCSB00470 <br/> PCSE00530 | Internal res. | 704x448 | |
| ![][NOISSUES] | Need for Speed: Most Wanted | PCSB00183 <br/> PCSE00089 <br/> PCSG00106 | Internal res. | 640x368 | |
| ![][NOISSUES] | Nelke to Densetsu no Renkinjutsushi Tachi: Aratana Daichi no Atelier | PCSG01223 | Internal res. | 960x442 | |
| ![][NOISSUES] | Ninja Gaiden Sigma 2 Plus | PCSB00294 <br/> PCSE00233 <br/> PCSG00157 | 2x Internal res. | 864x480, 640x416 | |
| ![][NOISSUES] | Oddworld: Munch's Oddysee HD | PCSB00275 <br/> PCSE00369 | FPS cap | 30 | |
| ![][NOISSUES] | One Piece: Burning Blood | PCSB00893 <br/> PCSE00808 <br/> PCSH00202 | Internal res. | 704x384 | |
| ![][NOISSUES] | Persona 4 Golden | PCSB00245 <br/> PCSE00120 <br/> PCSG00004 <br/> PCSG00563 <br/> PCSH00021 | Internal res. | 840x476 | |
| ![][NOISSUES] | Phantasy Star Nova | PCSG00351 <br/> PCSH00143 | Internal res. | 960x544 | |
| ![][NOISSUES] | Project Root | PCSB00650 <br/> PCSE00486 <br/> PCSG00783 | FPS cap | 30 | |
| ![][NOISSUES] | Puella Magi Madoka Magica: The Battle Pentagram | PCSG00214 | Internal res. <br/> FPS cap | 704x448 <br/> 30 | |
| ![][NOISSUES] | Ratchet & Clank | PCSF00484 <br/> PCSF00482 <br/> PCSA00133 | Framebuffer | 720x408 | |
| ![][NOISSUES] | Ratchet & Clank 2: Locked and Loaded / Going Commando | PCSF00485 <br/> PCSF00482 <br/> PCSA00133 | Framebuffer | 720x408 | |
| ![][NOISSUES] | Ratchet & Clank 3 / Up Your Arsenal | PCSF00486 <br/> PCSF00482 <br/> PCSA00133 | Framebuffer | 720x408 | |
| ![][NOISSUES] | Ratchet & Clank: QForce / Full Frontal Assault | PCSF00191 <br/> PCSA00086 <br/> PCSC00041 | Framebuffer | 720x408 | |
| ![][NOISSUES] | Resident Evil: Revelations 2 | PCSF00728 <br/> PCSE00608 <br/> PCSG00594 <br/> PCSH00187 | Internal res. | 720x408 | |
| ![][NOISSUES] | RESOGUN | PCSF00262 <br/> PCSA00103 <br/> PCSC00088 | Framebuffer | 720x408 | |
| ![][NOISSUES] | Ridge Racer | PCSB00048 <br/> PCSE00001 <br/> PCSG00001 | Internal res. | 720x408 | |
| ![][NOISSUES] | Sly Cooper and the Thievius Raccoonus | PCSF00269 <br/> PCSF00338 <br/> PCSA00095 <br/> PCSA00096 <br/> | Framebuffer <br/> FPS cap | 720x408 <br/> 30 | |
| ![][NOISSUES] | Sly Cooper 2: Band of Thieves | PCSF00270 <br/> PCSF00338 <br/> PCSA00095 <br/> PCSA00097 <br/> | Framebuffer <br/> FPS cap | 960x544 <br/> 30 | |
| ![][NOISSUES] | Sly Cooper 3: Honor Among Thieves | PCSF00271 <br/> PCSF00338 <br/> PCSA00095 <br/> PCSA00098 <br/> | Framebuffer <br/> FPS cap | 960x544 <br/> 30 | |
| ![][NOISSUES] | Sly Cooper: Thieves in Time | PCSF00156 <br/> PCSF00206 <br/> PCSF00207 <br/> PCSF00208 <br/> PCSF00209 <br/> PCSA00068 | FPS cap | 30 | |
| ![][NOISSUES] | Soul Sacrifice | PCSF00178 <br/> PCSA00092 <br/> PCSD00065 <br/> PCSC00039 | Internal res. | 720x408 | |
| ![][NOISSUES] | Soul Sacrifice Delta | PCSF00532 <br/> PCSA00152 <br/> PCSD00079 <br/> PCSC00049 | Internal res. | 720x408 | |
| ![][PLAYABLE] | Spy Hunter | PCSB00166 <br/> PCSE00068 | Framebuffer <br/> FPS cap <br/> MSAA | 640x368 <br/> 30 <br/> 4x | |
| ![][NOISSUES] | SteamWorld Heist | PCSB00693 <br/> PCSE00583 | FPS cap | 30 | |
| ![][NOISSUES] | Street Fighter X Tekken | PCSB00144 <br/> PCSE00005 <br/> PCSG00063 | Internal res. | 640x480 | |
| ![][NOISSUES] | Summon Night 6: Lost Borders | PCSB01013 <br/> PCSE00951 <br/> PCSG00827 <br/> PCSH00225 | MSAA | 2x | |
| ![][NOISSUES] | Supremacy MMA: Unrestricted | PCSE00012 | Internal res. | 720x408 | |
| ![][NOISSUES] | The Amazing Spider-Man | PCSB00428 <br/> PCSE00333 | Internal res. <br/> FPS cap | 704x400 <br/> 60 | |
| ![][NOISSUES] | The Legend of Heroes: Trails of Cold Steel <br/> Eiyuu Densetsu: Sen no Kiseki | PCSB00866 <br/> PCSE00786 <br/> PCSG00195 <br/> PCSH00074 | Internal res. | 720x408 | |
| ![][NOISSUES] | The Legend of Heroes: Trails of Cold Steel II <br/> Eiyuu Densetsu: Sen no Kiseki II | PCSB01016 <br/> PCSE00896 <br/> PCSG00354 <br/> PCSH00075 | Internal res. <br/> MSAA | 720x408 <br/> 2x | |
| ![][NOISSUES] | The LEGO Movie Videogame | PCSB00553 <br/> PCSE00353 | Internal res. | 640x368 | |
| ![][NOISSUES] | Tokyo Xanadu | PCSB01062 <br/> PCSE00893 <br/> PCSG00608 <br/> PCSH10009 | Internal res. <br/> MSAA | 720x408 <br/> 2x | |
| ![][NOISSUES] | Ukiyo no Roushi | PCSG00480 | Internal res. <br/> FPS cap | 704x384 <br/> 30 | |
| ![][NOISSUES] | Urban Trial Freestyle | PCSB00038 <br/> PCSE00051 <br/> PCSG00231 | Framebuffer | 720x408 | |
| ![][NOISSUES] | Utawarerumono: Mask of Deception / Itsuwari no Kamen | PCSB01093 <br/> PCSE00959 <br/> PCSG00617 | Internal res. | 672x384 | |
| ![][NOISSUES] | Utawarerumono: Mask of Truth / Futari no Hakuoro | PCSB01145 <br/> PCSE01102 <br/> PCSG00838 | Internal res. | 672x384 | |
| ![][NOISSUES] | Utawarerumono: Chiriyuku Mono he no Komoriuta | PCSG01079 | Internal res. | 672x384 | |
| ![][NOISSUES] | Valhalla Knights 3 | PCSB00432 <br/> PCSE00244 <br/> PCSG00076 | Internal res. | 640x384 | |
| ![][NOISSUES] | Valhalla Knights 3 GOLD | PCSG00307 | Internal res. </br> FPS cap | 640x384 <br/> 30 | |
| ![][NOISSUES] | Wipeout 2048 | PCSF00007 <br/> PCSA00015 <br/> PCSC00006 <br/> PCSD00005 | 14x Internal res. <br/> FPS cap | up to 960x544 <br/> 30 | |
| ![][PLAYABLE] | World of Final Fantasy | PCSB00951 <br/> PCSE00880 <br/> PCSH00223 <br/> PCSG00709 | Internal res. | 640x384 | |
| ![][NOISSUES] | WRC 3: FIA World Rally Championship | PCSB00204 <br/> PCSE00242 | Internal res. | 704x448 | |
| ![][NOISSUES] | WRC 4: FIA World Rally Championship | PCSB00345 <br/> PCSE00411 <br/> PCSG00376 | Internal res. | 704x448 | |
| ![][NOISSUES] | WRC 5: FIA World Rally Championship | PCSB00762 <br/> PCSE00667 | Framebuffer | 960x544 | |
| ![][NOISSUES] | Ys: Memories of Celceta | PCSB00497 <br/> PCSE00245 <br/> PCSH00181 <br/> PCSG00105 | Internal res. | 720x408 | |
| ![][NOISSUES] | Ys Origin | PCSB01081 <br/> PCSE01033 <br/> PCSH10049 | FPS cap | 30 | |
| ![][NOISSUES] | Ys VIII: Lacrimosa of Dana | PCSB01128 <br/> PCSE01103 <br/> PCSG00881 <br/> PCSH00297 | 3x Internal res. <br/> FPS cap | 960x512, 840x476, 720x320 <br/> 30 | |

## Supported games (patch/)
These require *patchlist.txt* as well as additional files located in *patch/* folder.

|   | Game          | Title ID(s)   | Supported features | Game defaults | Notes.............. |
| - | ------------- | ------------- | ------------------ | ------------- | ------------------- |
| ![][NOISSUES] | Mortal Kombat | PCSB00106 <br/> PCSE00023 | Framebuffer | 640x368 | [PCSB00106.txt](https://raw.githubusercontent.com/Electry/VitaGrafixPatchlist/master/patch/PCSB00106.txt) <br/> [PCSE00023.txt](https://raw.githubusercontent.com/Electry/VitaGrafixPatchlist/master/patch/PCSE00023.txt) |
| ![][NOISSUES] | Uncharted: Golden Abyss | PCSF00001 <br/> PCSF00012 <br/> PCSA00029 <br/> PCSD00001 | Internal res. | 768x384 | [PCSF00001.txt](https://raw.githubusercontent.com/Electry/VitaGrafixPatchlist/master/patch/PCSF00001.txt) |

#

* ![](https://placehold.it/10x10/22bb22/000000?text=+) no known issues
* ![](https://placehold.it/10x10/eeee22/000000?text=+) playable, but with some minor issues (check *[Issues](https://github.com/Electry/VitaGrafixPatchlist/issues)* section)

[NOISSUES]: https://placehold.it/20/22bb22/000000?text=+
[PLAYABLE]: https://placehold.it/20/eeee22/000000?text=+

Adding support for each and every game requires manual disassembly of game's binary to find addresses in the game code where the resolution is set. Some are easy to patch, others plainly impossible.

## FAQ
- Encountered a bug? Feel free to open a Github issue [here](https://github.com/Electry/VitaGrafixPatchlist/issues).
- Found a new patch? I'll gladly include it in here :) Just open a new issue or create a merge request.
